'use server'
import { headers as nextHeaders } from 'next/headers'
import { getPayload } from "payload"
import configPromise from '@payload-config'

type Props = {
  bookId: number,
  repositoryId: number,
}
const requestHold = async (props: Props) => {
  const payload = await getPayload({ config: configPromise })

  const headers = await nextHeaders()
  const authResponse = await payload.auth({ headers })
  console.log(authResponse.user);

  if (!authResponse.user?.id) return

  const requestHoldResponse = await payload.create({
    collection: 'holdRequests',
    data: {
      repository: props.repositoryId,
      book: props.bookId,
      userRequested: authResponse.user.id,
      dateRequested: new Date().toUTCString(),
    },
  })

  return requestHoldResponse
}

export default requestHold
