import { ReactNode } from 'react'
import { ThemeProvider } from '@/components/ThemeProvider'

type LayoutProps = {
  children: ReactNode
}

import './globals.css'
import { Toaster } from '@/components/ui/sonner'
import { GlobalProvider } from '@/providers/GlobalProvider'

const Layout = ({ children }: LayoutProps) => {
  return (
    <html>
      <body>
        <ThemeProvider attribute="class" defaultTheme="light">
          <GlobalProvider globalProps={{}}>
            {children}
            <Toaster />
          </GlobalProvider>
        </ThemeProvider>
      </body>
    </html>
  )
}

export default Layout
