'use client'

import { PaginatedDocs } from 'payload'
import SearchBooksInlineForm from './SearchBooksInlineForm'
import { Book } from '@/payload-types'
import BookList from '../BookList'
import { useState } from 'react'

type Props = {
  initBrowseBooks: PaginatedDocs<Book>
}
const SearchBooks = (props: Props) => {
  const { initBrowseBooks } = props

  const [bookList, setBookList] = useState<PaginatedDocs<Book> | null>(initBrowseBooks)

  const onSearchResult = (bookList: PaginatedDocs<Book> | null) => {
    setBookList(bookList)
  }

  return (
    <section className="my-8">
      <SearchBooksInlineForm onSearchResult={onSearchResult} />
      <div className="my-4">{bookList && <BookList books={bookList} />}</div>
    </section>
  )
}

export default SearchBooks
