'use server'

import { getPayload, PaginatedDocs } from 'payload'
import config from '@/payload.config'
import { HoldRequest } from '@/payload-types'

type Props = {
  userId: number
}
export const getHoldRequestOnUserRepo = async (props: Props): Promise<PaginatedDocs<HoldRequest> | null> => {
  const { userId } = props

  const payloadConfig = await config
  const payload = await getPayload({ config: payloadConfig })

  const findResponse = (await payload.find({
    collection: 'holdRequests',
    depth: 2,
    limit: 25,
    overrideAccess: false,
    where: {
      'repository.owner': {
        equals: userId
      },
    },
    select: {
      id: true,
      copy: true,
      repository: true,
      book: true,
    },
  })) as PaginatedDocs<HoldRequest>

  return findResponse
} 
